package com.zbf.system.domain;

    import java.math.BigDecimal;
import java.util.Date;

    import lombok.Getter;
    import lombok.Setter;
    import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 收货单明细对象 t_rk_receiving_goods_tab
 *
 * @author tony
 * @date 2024-06-18
 */
@Getter
@Setter
public class TRkReceivingGoodsTab extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 子需求编号 */
    @Excel(name = "子需求编号")
    private String salesOrderNumber;

    /** 主表ID */
    @Excel(name = "主表ID")
    private String noticeId;

    /** 物料编号 */
    @Excel(name = "物料编号")
    private String goodsId;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String goodsName;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String specification;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String recoil;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 计划单价（含税） */
    @Excel(name = "计划单价", readConverterExp = "含=税")
    private BigDecimal price;

    /** 计划金额 */
    @Excel(name = "计划金额")
    private BigDecimal totalMoney;

    /** 到货数量 */
    @Excel(name = "到货数量")
    private BigDecimal arraMount;

    /** 签收数量 */
    @Excel(name = "签收数量")
    private BigDecimal recNum;

    /** 工程项目 */
    @Excel(name = "工程项目")
    private String project;

    /** 需求部门 */
    @Excel(name = "需求部门")
    private String needDept;

    /** 用途 */
    @Excel(name = "用途")
    private String useType;

    /** 测量单位 */
    @Excel(name = "测量单位")
    private String scaleUnit;

    /** 总量 */
    @Excel(name = "总量")
    private BigDecimal totalVolume;

    /** 毛重 */
    @Excel(name = "毛重")
    private BigDecimal totalRoughWeight;

    /** 净重 */
    @Excel(name = "净重")
    private BigDecimal totalNetWeigh;

    /** 数量 */
    @Excel(name = "数量")
    private Long amount;

    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productionDate;

    /** 仓库ID */
    @Excel(name = "仓库ID")
    private String storageId;

    /** 库区 */
    @Excel(name = "库区")
    private String storageAreaId;

    /** 技术需求附件 */
    @Excel(name = "技术需求附件")
    private String packageId;

    /** 物料分类 */
    @Excel(name = "物料分类")
    private String goodsTypeId;

    /** 条码 */
    @Excel(name = "条码")
    private String barcode;

    /** 重量 */
    @Excel(name = "重量")
    private BigDecimal goodsVolume;

    /** 打印状态 */
    @Excel(name = "打印状态")
    private String printSts;

    /** 打印次数 */
    @Excel(name = "打印次数")
    private Long printCs;

    /** 重量 */
    @Excel(name = "重量")
    private BigDecimal netWeigh;

    /** 冻结数量 */
    @Excel(name = "冻结数量")
    private Long kindNum;

    /** 需求时间 */
    @Excel(name = "需求时间")
    private String expiryDate;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date operateDate;

    /** 物料状态 */
    @Excel(name = "物料状态")
    private String productStatus;

    /** 收货状态 */
    @Excel(name = "收货状态")
    private String receivingStatus;

    /** 内部状态 */
    @Excel(name = "内部状态")
    private String inStatus;

    /** 托盘号 */
    @Excel(name = "容器号")
    private String ctl;

    /** 质检日期 */
    @Excel(name = "质检日期")
    private String qualityInspectionDate;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 累计入库数量 */
    @Excel(name = "累计入库数量")
    private Long acceNum;

    /** 质检状态 */
    @Excel(name = "质检状态")
    private String qualityInspecStatus;

    /** 订单类型 */
    @Excel(name = "订单类型")
    private String orderType;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applicant;

    /** 申请部门 */
    @Excel(name = "申请部门")
    private String supplier;

    /** 是否合格 */
    @Excel(name = "是否合格")
    private String qualified;

    /** 计划日期 */
    @Excel(name = "计划日期")
    private String planDate;

    /** 计划时间 */
    @Excel(name = "计划时间")
    private String planTime;

    /** 需求周期 */
    @Excel(name = "需求周期")
    private BigDecimal needCycle;

    /** 需求类型 */
    @Excel(name = "需求类型")
    private String needType;

    /** 批次号 */
    @Excel(name = "批次号")
    private String batchNo;

    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date reportTime;
    /** ABC分类 */
    @Excel(name = "ABC分类")
    private String abc;

    /** 1:一级库 2：二级库 */
    @Excel(name = "仓库类别",dictType = "storage_classification")
    private String levelType;

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("salesOrderNumber", getSalesOrderNumber())
            .append("noticeId", getNoticeId())
            .append("goodsId", getGoodsId())
            .append("goodsName", getGoodsName())
            .append("unit", getUnit())
            .append("specification", getSpecification())
            .append("recoil", getRecoil())
            .append("brand", getBrand())
            .append("price", getPrice())
            .append("totalMoney", getTotalMoney())
            .append("arraMount", getArraMount())
            .append("recNum", getRecNum())
            .append("project", getProject())
            .append("needDept", getNeedDept())
            .append("useType", getUseType())
            .append("scaleUnit", getScaleUnit())
            .append("totalVolume", getTotalVolume())
            .append("totalRoughWeight", getTotalRoughWeight())
            .append("totalNetWeigh", getTotalNetWeigh())
            .append("amount", getAmount())
            .append("productionDate", getProductionDate())
            .append("storageId", getStorageId())
            .append("storageAreaId", getStorageAreaId())
            .append("packageId", getPackageId())
            .append("remark", getRemark())
            .append("goodsTypeId", getGoodsTypeId())
            .append("barcode", getBarcode())
            .append("goodsVolume", getGoodsVolume())
            .append("printSts", getPrintSts())
            .append("printCs", getPrintCs())
            .append("netWeigh", getNetWeigh())
            .append("kindNum", getKindNum())
            .append("expiryDate", getExpiryDate())
            .append("operateDate", getOperateDate())
            .append("productStatus", getProductStatus())
            .append("receivingStatus", getReceivingStatus())
            .append("inStatus", getInStatus())
            .append("ctl", getCtl())
            .append("qualityInspectionDate", getQualityInspectionDate())
            .append("status", getStatus())
            .append("acceNum", getAcceNum())
            .append("qualityInspecStatus", getQualityInspecStatus())
            .append("orderType", getOrderType())
            .append("applicant", getApplicant())
            .append("supplier", getSupplier())
            .append("qualified", getQualified())
            .append("updateTime", getUpdateTime())
            .append("planDate", getPlanDate())
            .append("planTime", getPlanTime())
            .append("needCycle", getNeedCycle())
            .append("needType", getNeedType())
            .append("batchNo", getBatchNo())
            .append("reportTime", getReportTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
        .toString();
        }
}













